class Spree::Promotion::Rules::NotWinkelstraatOrder < Spree::PromotionRule

  def description
    'Order is not a winkelstraat order'
  end

  def applicable?(promotable)
    promotable.is_a?(Spree::Order)
  end

  def eligible?(order, options = {})
    !order.is_winkelstraat_order?
  end

  def actionable?(line_item)
    !line_item.order.is_winkelstraat_order?
  end
end