module SpreeWinkelstraat
  class Engine < Rails::Engine
    require 'spree/core'
    isolate_namespace Spree
    engine_name 'spree_winkelstraat'

    # use rspec for tests
    config.generators do |g|
      g.test_framework :rspec
    end

    def self.activate
      Dir.glob(File.join(File.dirname(__FILE__), '../../app/**/*_decorator*.rb')) do |c|
        Rails.configuration.cache_classes ? require(c) : load(c)
      end

      Rails.application.config.spree.promotions.rules << Spree::Promotion::Rules::NotWinkelstraatOrder
    end

    Spree::PermittedAttributes.option_value_attributes << :ws_code
    Spree::PermittedAttributes.product_attributes << :sell_on_winkelstraat


    config.to_prepare &method(:activate).to_proc
  end
end
